searchNodes=[{"doc":"","ref":"HTTPDate.html","title":"HTTPDate","type":"module"},{"doc":"Format as an HTTP-date (RFC 7231). By default it produces IMF-fixdate formatted dates, this can be changed by setting the :format option to the desired format, see format/0. iex&gt; HTTPDate.format(HTTPDate.parse!(&quot;Sun, 06 Nov 1994 08:49:37 GMT&quot;)) &quot;Sun, 06 Nov 1994 08:49:37 GMT&quot; iex&gt; HTTPDate.format(HTTPDate.parse!(&quot;Sunday, 06-Nov-94 08:49:37 GMT&quot;, base_year: 1900), format: :rfc850) &quot;Sunday, 06-Nov-94 08:49:37 GMT&quot; iex&gt; HTTPDate.format(HTTPDate.parse!(&quot;Sun Nov 6 08:49:37 1994&quot;), format: :asctime) &quot;Sun Nov 6 08:49:37 1994&quot;","ref":"HTTPDate.html#format/2","title":"HTTPDate.format/2","type":"function"},{"doc":"Parse an HTTP-date (RFC 7231). This supports both the preferred format: Sun, 06 Nov 1994 08:49:37 GMT ; IMF-fixdate As well as the obsolete formats: Sunday, 06-Nov-94 08:49:37 GMT ; obsolete RFC 850 format Sun Nov 6 08:49:37 1994 ; ANSI C&#39;s asctime() format By default the parsed date will be validated to ensure that it is correct. If this validation is not desired it can be disabled by passing false to the :validate option. By default it uses Calendar.ISO, however this can be changed by passing another calendar to the :calendar option. As the obsolete RFC 850 format only allows for the last 2 year digits, it is assumed these digits belong to the current year. If a specific base year is desired, pass the year to the :base_year option. iex&gt; HTTPDate.parse(&quot;Sun, 06 Nov 1994 08:49:37 GMT&quot;) { :ok, elem(DateTime.from_iso8601(&quot;1994-11-06 08:49:37Z&quot;), 1) } iex&gt; HTTPDate.parse(&quot;Sunday, 06-Nov-94 08:49:37 GMT&quot;, base_year: 1900) { :ok, elem(DateTime.from_iso8601(&quot;1994-11-06 08:49:37Z&quot;), 1) } iex&gt; HTTPDate.parse(&quot;Sun Nov 6 08:49:37 1994&quot;) { :ok, elem(DateTime.from_iso8601(&quot;1994-11-06 08:49:37Z&quot;), 1) } iex&gt; HTTPDate.parse(&quot;Mon, 06 Nov 1994 08:49:37 GMT&quot;) { :error, :invalid } iex&gt; HTTPDate.parse(&quot;Mon, 06 Nov 1994 08:49:37 GMT&quot;, validate: false) { :ok, elem(DateTime.from_iso8601(&quot;1994-11-06 08:49:37Z&quot;), 1) }","ref":"HTTPDate.html#parse/2","title":"HTTPDate.parse/2","type":"function"},{"doc":"Parse an HTTP-date (RFC 7231). Raises an HTTPDate.ParseError if the date could not be parsed. For more details see HTTPDate.parse/2. iex&gt; HTTPDate.parse!(&quot;Sun, 06 Nov 1994 08:49:37 GMT&quot;) elem(DateTime.from_iso8601(&quot;1994-11-06 08:49:37Z&quot;), 1)","ref":"HTTPDate.html#parse!/2","title":"HTTPDate.parse!/2","type":"function"},{"doc":"","ref":"HTTPDate.html#t:component/0","title":"HTTPDate.component/0","type":"type"},{"doc":"","ref":"HTTPDate.html#t:format/0","title":"HTTPDate.format/0","type":"type"},{"doc":"","ref":"HTTPDate.ParseError.html","title":"HTTPDate.ParseError","type":"exception"}]